List Backup Job Snapshots
GET
/cluster/backups/jobs/{id}/snapshots
const url = 'https://sylve.lan:8181/api/cluster/backups/jobs/1/snapshots?limit=100';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://sylve.lan:8181/api/cluster/backups/jobs/1/snapshots?limit=100' \ --header 'Authorization: <Authorization>'List restorable snapshots produced by a backup job
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Backup Job ID
Query Parameters
Section titled “Query Parameters”limit
integer
Maximum snapshots to return
cursor
string
Opaque continuation cursor
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
hasMore
boolean
items
Array<object>
object
childCount
Number of child datasets on the target
integer
committed
Verified c1 commit marker is present
boolean
creation
Creation timestamp
string
dataset
Dataset portion (without @snap)
string
encrypted
boolean
guid
string
legacy
Restore point predates commit manifests
boolean
lineage
“active” | “rotated” | “other”
string
name
Full dataset@snap name
string
outOfBand
True when snapshot is outside the active lineage
boolean
refer
Referenced size
string
shortName
Just the @snap portion
string
used
Space used
string
nextCursor
string
error
string
message
string
status
string
Examplegenerated
{ "data": { "hasMore": true, "items": [ { "childCount": 1, "committed": true, "creation": "example", "dataset": "example", "encrypted": true, "guid": "example", "legacy": true, "lineage": "example", "name": "example", "outOfBand": true, "refer": "example", "shortName": "example", "used": "example" } ], "nextCursor": "example" }, "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Backup Job Not Found
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Remote Target Failure
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Local Key Unavailable
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Remote Target Timeout
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}